/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.widgets');

// Register widget
org.ametys.utils.Widgets.registerWidget ('boolean', 'synchro-button', 'org.ametys.odf.widgets.SyncButtonField');

org.ametys.odf.widgets.SyncButtonField = function(config) 
{
	config.name = config.name + '_empty';
	
	org.ametys.odf.widgets.SyncButtonField.superclass.constructor.call(this, config);
}; 

Ext.extend(org.ametys.odf.widgets.SyncButtonField, Ext.form.Hidden, {});

org.ametys.odf.widgets.SyncButtonField.prototype.onRender = function (ct, position)
{
	org.ametys.odf.widgets.SyncButtonField.superclass.onRender.call(this, ct, position);
	
	// Init to false
	this.setSyncValue('false');
	org.ametys.odf.widgets.SynchronizedWidgetHelper.init (this);
	
};

/**
 * Override
 */
org.ametys.odf.widgets.SyncButtonField.prototype.initValue = function ()
{
	// Do nothing !
}

org.ametys.odf.widgets.SyncButtonField.prototype.setValue = function(values) 
{
	org.ametys.odf.widgets.SyncButtonField.superclass.setValue.call(this, values);
	
	var form = org.ametys.odf.widgets.SynchronizedWidgetHelper._getForm (this);
	if (form != null)
	{
		var widget = form.findField(this.name.substring(0, this.name.indexOf('_sync_empty')));
		if (widget != null && !widget._isInitialized)
		{
			widget.setWidgetValue(widget.getValue()); // init the synchro widget
			widget.clearInvalid();
		}
	}
};

org.ametys.odf.widgets.SyncButtonField.prototype.setSyncValue = function (value)
{
	org.ametys.odf.widgets.SyncButtonField.superclass.setValue.call(this, value);
}

